<!doctype html>
<html>
    <head>
        <title>Tacolab TACO website</title>
        <%
        Genie.Assets.channels_support() # this should be done by `GenieAutoReload` instead of having to do it explicitly
        if @isdefined GenieAutoReload
           GenieAutoReload.assets()
        end
        %>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <script src="js/lib/jquery-3.3.1.min.js"></script>
        <link rel="stylesheet" type="text/css" href="css/jquery-eu-cookie-law-popup.css"/>
        <script src="js/jquery-eu-cookie-law-popup.js"></script>
        <script src="js/lib/htmx.min.js"></script>
        <link rel="stylesheet" type="text/css" href="/css/lib/bootstrap_celurian.min.css">
        <link rel="stylesheet" type="text/css" href="/css/style.css">
        <meta charset="utf-8" />
    </head>
    <body class="eupopup eupopup-top">
    <div class="navbar navbar-expand-lg fixed-top navbar-dark bg-primary">
        <div class="container">
            <div class="row">
                <a href="." class="navbar-brand d-none d-xl-inline">TACO: Toolkit for Automatic Comparison of Optimizers</a>
                <a href="." class="navbar-brand d-none d-sm-inline d-xl-none">TACO Comparison Toolkit</a>
                <a href="." class="navbar-brand d-sm-none">TACO Compare algorithms</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
          <div class="navbar-toggler-icon"></div>
        </button>
        <div class="collapse navbar-collapse" id="navbarResponsive">
          <ul class="navbar-nav nav">
              <li class="nav-item"><a class="nav-link" href="$(linkto(:generic))">Generic</a></li>
              <li class="nav-item"><a class="nav-link" href="$(linkto(:benchs))">Benchmarks</a></li>
              <% if is_authenticated() %>
              <li class="nav-item"><a class="nav-link" href="$(linkto(:private))">Private</a></li>
              <% end %>
              <% if ! is_authenticated() %>
              <li class="nav-item"><a class="nav-link" href="$(linkto(:login))">Login</a></li>
              <% else %>
              <li class="nav-item"><a class="nav-link" href="$(linkto(:logout))">Logout</a></li>
              <% end %>
          </ul>
        </div>
            </div>
        </div>
    </div>
    <div class="container-fluid mt-3">
      <div class="page-header" id="banner">
        <div class="row">
          <div class="col-lg-8 col-md-7 col-sm-6">
            <h1>Cerulean</h1>
          </div>
        </div>
      </div>
      <div class="bs-docs-section clearfix">
      <div class="row" id="{{vueapp}}">
          <div class="col-lg-1">
          </div>
          <div class="col-lg-11 col-sm-12">
              <%
              @yield
              %>
          </div>
      </div>
      </div>
      <footer class="footer border-top mt-2">
          <div class="container">
              <div class="row">
                  <p>
                      This website has been done using our <a href="https://gitlab.com/daniel.molina/tacolab_julia" target="_blank">own open-source application</a>
                  </p>
              </div>
              <div class="row">
                  <div class="col-lg-3 footinfo">
                      <h6>Features</h6>
                      <ul class="list-unstyled">
                          <li><a href="/features#tables">Tables and Export options</a></li>
                          <li><a href="/features#plots">Plots and Figures</a></li>
                          <li><a href="/features#private">Private Data</a></li>
                      </ul>
                  </div>
                  <div class="col-lg-2 footinfo">
                      <h6>About</h6>
                      <ul class="list-unstyled"> 
                      <li><a target="_blank" href="/team">Team</a></li>
                      <li><a target="_blank" href="/cookie_policy">Privacy</a></li>
                      </ul>
                  </div>
                  <div class="col-lg-3 footinfo">
                      <p>
                          <img src="img/cc_license.svg" alt="creative-common" /><br>
                          All results are freely available under <a href="https://creativecommons.org/licenses/" target="_blank" class="blue">Creative Common License</a>
                      </p>
                  </div>
                  </div>
                  <div class="col-lg-4"></div>
              </div>
      </footer>
    </body>
</html>
